Subject: Re: [PATCH] powerpc: Create "rom" (MTD) device prpmc2800

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 02 Jun 2007 17:39:52 +1000

On Fri, 2007-06-01 at 23:30 -0500, Milton Miller wrote:
> 
> Actually, looking back at your device tree {1], your list several
> properties for flash, including bank-width and partition names.
> Perhaps first compatible should be direct-mapped-partitioned-flash,
> direct-mapped-partitioned-rom, direct-mapped-rom  (to me a
> direct-mapped-rom driver would expose one section of address space
> read-only). I'm assuming that your driver for this "direct-mapped"
> device will look at these properties from the of device node and
> call the mtd layer somewhat directly with their contents. 

If it's a flash, compatible should be the chip type, and maybe as a
second entry, what type of flash protocol (amd, intel, cfi, ...) it's
compatible.

Ben.